Welcome to Check Favorites

Check Favorites' Splash Screen

The Internet has become just about everyone's favorite pastime. With all of the sites you have visited, you are bound to find some of them quite interesting, and will likely store them in your Favorites List.

However, the Internet is also a very transient thing: web pages come and go, and get moved or renamed. Domain names are bought, sold and registered daily. Yesterday's Favorite can quite easily become tomorrow's broken link.

This is where Check Favorites comes in. Check Favorites is designed to validate each one of the Internet-based links in your Favorites List. Check Favorites can alert you to links that are completely broken, where the link's site itself cannot be contacted, or links that are partially broken (or partially valid), which are links that point to a nonexistent page on a still-valid site, or if a site requires authentication in order to be used, and a range of other statuses as well.

Once Check Favorites has completed going over all of your Favorites, you can view a summary report of Check Favorites' findings, check the details of any link in your Favorites List, or have Check Favorites delete all of the links that it finds to be broken.

Getting Started

Release Notes

License Agreement

Legal Information


System Requirements

Check Favorites is supported on the following platforms:

  • Windows® 98/ME (or greater)
  • Windows NT 4.0 (SP6 or greater, any version)
  • Windows 2000 (SP2 or greater, any version)
  • Windows XP (any version)

(Check Favorites is not officially supported on Windows 95, or on any versions of Windows .NET.)

Any system that runs Check Favorites should have a P-II or higher processor, at least 32MB of RAM installed, and more than 50% of the total system resources available in order to ensure timely and proper operation of Check Favorites.


What's New

This page details the changes, fixes and additions made to for each version of Check Favorites.

Version 1.7

  • New Drag-To-Check functionality makes it much easier to check links on an entire web site.

  • New Tooltip functionality added.

  • Added the ability to specify a target Web Site or File from within the application/

  • Enhanced scanning algorithm now picks up links that may have been missed before. (Used when checking links from a File or on a Web Page.)

  • Copy functionality added to the Detailed Report interface.

  • The problem with random links getting shipped during a check should no longer occur.

Version 1.6

  • Check Favorites will now run correctly on older NT 4.0 systems that did not do the Active Desktop Update when IE 4.0 came out.

  • Folders can be dragged onto the internal browser, allowing an Explorer-like view of the folder's contents (works with IE Favorites only!). Note that after you do this, the internal browser stops working like a browser and more like an Explorer window! Use the Reset button on the toolbar to "change it back into a browser".

  • New Detailed Report interface. This report can be printed (requires an RTF-capable application previously installed on your system; generally, this would be the Wordpad application), and exported to a CSV file for later use by an external application.

  • The planned feature for reorganizing the Favorites has been pushed back.

  • Favorites can no longer be deleted while a check is being performed; doing so would occasionally cause a Favorite to get skipped during the check.

Version 1.5

  • Added ability to check Favorites/Bookmarks from Netscape and Opera. (This has been successfully tested with Netscape 6.2 & 7.0 [upgrade], and Opera 6.05. Also, certain features, like Deletion and Renaming are not available when using Netscape or Opera's Bookmarks/HotList.)

  • Enhanced Graphics (better[?] colors)

  • Added a new GUI feature to the Context Menu (this feature can only be seen on Windows 2000 or higher versions of Windows)

  • Added the ability to select specific Favorites (or a folder of Favorites) to be excluded from automatic checking

Version 1.4

  • Added Internal Browser Window

  • Added Export functionality

  • Eliminated last remaining worker thread contention, which could occasionally result in deadlocks and/or skipped favorites

  • Fixed bug in File Mode that would cause certain links to be skipped

Version 1.3

  • First public release, added registration system and restricted functionality

  • New Splash Screen

  • Help documentation complete, except for context-sensitive integration

  • Fixed problem where Favorites could be refreshed while being checked (would cause a race condition involving the refresh thread)

Version 1.2

  • Added the "Partially Broken" style, which allows the user to select to delete or leave certain links

  • Started working on the help file

Version 1.1

  • Maximum thread count upped to 16

  • Added the ability to identify redirected links and links that require authentication

Version 1.0

  • Max of 8 threads supported


Features

Features of Check Favorites

Some of Check Favorites' features include:

  1. Use of up to 32 threads to check multiple links at one time*

  2. Ability to check Favorites/Bookmarks from Netscape and Opera. (This has only been tested with Netscape 6.2 and Opera 6.05, and certain features, like Deletion and Renaming are not available when using Netscape or Opera's Favorites/Bookmark lists.) [Deprecated]

  3. Ability to Export favorites in a variety for formats

  4. Ability to check links from a file, or a remote site (for example, you can grab and check the links used on a web page) on the Internet

  5. Built-In browser to manually explore links

  6. Internet Explorer browser extension that allows Check Favorites to be started from within Internet Explorer

  7. Ability to configure Check Favorites to "auto-check" your favorites after they have been loaded into the interface*

  8. Ability to identify moved (or redirected) links

  9. Ability to identify links that require authentication

  10. Adjustable Connection Timeout value

  11. Ability to delete all broken (and optionally, partially broken) links in an single action*§

  12. You always have the ability to override Check Favorites' findings (e.g. if you knew that a particular site was going to be down for the day, you could force a broken link to appear valid)

  13. Ability to open (launch), rename§, delete§, show details of, show system properties § for, or copy a Favorite's name or target directly from the application

  14. An Icon Legend

  15. Ability to display a short Report that summarizes Check Favorites findings

  16. Ability to check (or recheck) a specific link*

  17. Ability to exclude links from automatic checking*

* These features are not available in the Evaluation/Demo version of Check Favorites.
§ These features are not available when using Check Favorites with Netscape's or Opera's Favorites/Bookmarks.


Getting Started

To get started with Check Favorites, simply launch the Check Favorites application. After Check Favorites starts, it will automatically scan your Favorites and display them in the Main Interface.

After all of the Favorites have been loaded, you can start checking them by clicking on the [image] (Check) button on the Toolbar, or selecting "Check All Favorites" from the Tools menu.

After all of your Favorites have been checked, you can then choose to have all of the bad ones deleted, manually change the status of some of them, launch them in a browser, view the details of Check Favorites' findings, and many other things as well.

You can also use Check Favorites in File Mode, which allows you to check links that are on/in a web page, or contained within a file on your system.


Restrictions of the Unregistered Version

The Unregistered/Evaluation version of Check Favorites has a few restrictions. These restrictions are designed such that you will still be able to gain some use from Check Favorites, and will be able to evaluate just about all of it's functionality, but still have incentive to purchase a retail license.

Following is a list of restrictions that come with the Unregistered/Evaluation version of Check Favorites:

  1. The splash screen will have the text "Demo Version" written across it at an angle.

  2. It will only check up to 10 links.

  3. It will be limited to only 2 threads to check links with.

  4. It does not support "auto-checking".

  5. It does not support automatic deletion of all bad links.

  6. It does not support the "Drag-To-Check" functionality.

  7. The "Export Favorites" functionality will be disabled, although you will still be able to go through all of the steps of the Wizard (as kind of a preview).

  8. The option to have the Internal Browser Window prevent pop-up windows from appearing is disabled.

  9. The option to prevent the Internal Browser Window from automatically navigating to the JRTwine Software, LLC web site is disabled.

  10. The Check Selected Favorite command is disabled.

  11. The Exclude From Automatic Checking command is disabled.


The Menu Bar

The Menu Bar

Check Favorites' Menu Bar is shown above. The following top-level menus are available from the Menu Bar:

Menu

Appearance

Commands

File

Refresh Favorites: this command reloads your list of Favorites into the Main Interface.

Load Links From Web Page: this command allows you to enter in a URL or filepath and have Check Favorites load links from it so that they can be checked.

Load Links From Web Browser: this command reloads your Favorites from your configured Browser.

Export Favorites: this command opens the Export Wizard, which allows you to export your Favorites in a variety of formats.

Generate Summary Report: this command generates a brief report on Check Favorites' findings.

Generate Detailed Report: this command generates a brief report on Check Favorites' findings.

Exit: Shuts down Check Favorites.

Edit

Rename Favorite: this command allows you to rename the selected Favorite.

Delete Favorite: this command deleted the selected Favorite from your Favorites List.

Copy Favorite URL: this command copies the selected Favorite's URL (target) to the Clipboard.

Copy Favorite Name: this command copies the selected Favorite's Name to the Clipboard.

Exclude From Automatic Checking: this command excludes the selected Favorite (or a folder of Favorites) from automatic checking. This command is a toggle; see Excluding Favorites From Checking for more information.

View

Toolbar: this command shows or hides the Toolbar.

Status Bar: this command shows or hides the Status Bar.

Open In External Browser: this command opens the selected Favorite in an external Browser.

Open In Internal Browser: this command opens the selected Favorite in the internal Browser.

View Details: this command shows the Favorites Link Details dialog, which allows you to view and modify some details of the selected Favorite.

Properties: This command launches the Shell Properties Property Sheet for the selected Favorite.

Tools

Check All Favorites: this command starts checking all of the loaded Favorites.

Check Selected Favorite: this command checks only the currently selected Favorite.

Delete All Broken Favorites: this command shows the Delete All Broken Links dialog, which allows you to delete all of the Favorites that Check Favorites found to be broken.

Configuration...: this command shows the Configuration Interface (property sheet), which allows you to change the settings for Check Favorites.

Help

Help (Contents): this command activates the help file for Check Favorites.

JRTwine Software Support Forums: this command launches a web browser that is targeted at the JRTwine Software Support Forums.

Show Legend: this command raises the Icon Legend window, which explains the meanings for the icons used by Check Favorites.

About Check Favorites: this command shows the About Check Favorites dialog, which shows the legal, copyright and build information, as well as allows you to check for updated versions of Check Favorites.

Registration Information: this command shows the Registration Information Dialog.


The Toolbar

The Toolbar

Check Favorites' Toolbar is shown above. The following buttons (commands) are available from the Toolbar:

This command refreshes your list of Favorites

This command displays the (shell) Properties of the selected Favorite

This command shows the Details of the selected Favorite

This command views the selected Favorite in the Internal Browser Window

This command opens the selected Favorite in an external Browser

This command deletes the selected Favorite

This command copies the Name of the selected Favorite to the Clipboard.

This command copies the URL of the selected Favorite to the Clipboard.

This command starts checking all your Favorites

This command stops the checking of your Favorites

This command deletes all of the Favorite links that were found to be broken

This command activates the Configuration Property Sheet

This command displays a brief Summary of Check Favorites' findings

This command displays a detailed, printable Report of Check Favorites' findings

This command shows the Icon Legend

This command Navigates the Internal Browser back one page

This command Navigates the Internal Browser forward one page

This command resets the Internal Browser to a blank page (this is required when navigating to certain sites, like FTP sites, which change the behavior of the Browser)

This command activates the About Box


The Main Interface

The Main Interface

Check Favorites' Main Interface is shown above. The center area consists of the list of all of your Favorites, along with an icon that identifies the type of Favorite (web link, shortcut, channel etc.), and an Internal Browser Window that allows you to view any of your Favorites. (For more information on the Internal Browser Window, click Here.)

In the upper left are of the window, you will find the Menu Bar. The Menu Bar contains all of the commands available in Check Favorites.

In the area just below the Menu Bar is the Toolbar. The Toolbar contains some of the most commonly used commands in Check Favorites. You can also right-click on a Favorite to bring up a context menu containing commands that pertain to that specific Favorite.

More detailed information about a particular Favorite link can be shown by right-clicking on the Favorite and selecting "Properties" or "View Details" from the context menu.

In the lower right section of the Status Bar, you will see, among other things, indicators that inform you of the total number of Favorites loaded by Check Favorites, and if Check Favorites is currently Scanning or Checking your Favorites.


The Internal Browser Window

Check Favorites now (as of Version 1.3, build 216) includes an Internal Browser Window that allows you to view the contents of a Favorite.

The Internal Browser Window works by selecting and dragging a Favorite from the list of the left, onto the Internal Browser Window on the right. You can also use the "View In Internal Browser" command (available from the Menu, the Context Menu and the Toolbar) to view the selected Favorite in the Internal Browser Window.

Note that while the Internal Browser Window uses Internet Explorer® for the actual browser, it's functionality is slightly limited. For example, there are no Commands or Navigation Controls available other than the ones available by right-clicking in the Internal Browser Window.

The Configuration contains an option that prevents the Internal Browser Window from opening up pop-up windows (disabled in the Evaluation version). Note while this option is useful for blocking pop-up ads, it may prevent some sites from operating correctly, and may cause some script-related errors to occur. But since the Internal Browser Window was not designed for general browsing of sites, this is not considered a problem.

If you use the Internal Browser Window to navigate to an FTP site or a local folder, the context menu for the Internal Browser will change its state, and you will lose the ability to go "back".

You can use the Reset command, available from the Toolbar as [image], to restore the Internal Browser to the browser state.


Configuration Interface

(56Kbps or similar modem-based/dial-up access)

(Broadband, xDSL, or LAN-based access)

(2 threads in the Unregistered version, 16 threads in the Registered version)

Configuration Property Sheet

Check Favorites supports configuration of certain features and settings. The interface used for configuration is detailed below.

The Configuration Property Sheet's "General Settings" Page

The "General Settings" page is shown above. The items available on it are:

The "Number of Threads to use when checking Links" setting changes the number of threads that Check Favorites uses when checking your Favorites.

If you have a slow Internet connection, or a low performance (older) machine, you may want to keep this value lower than its maximum.

However, if you have a fast Internet connection and a high-performance machine, you can gain improve Check Favorites' performance by using a higher thread count. Note that there is a limit on the maximum number of threads you can use.

The "HTTP Response Timeout value (in seconds)" setting changes the number of seconds Check Favorites will wait for a response after attempting to contact a site. If this timeout elapses, the Favorite link that is being checked is considered unverifiable.

The "Automatically start Checking when finished Scanning" option causes Check Favorites to immediately start checking all of your Favorites after they have finished loading into the Main Interface.

The Configuration Property Sheet's "Internal Browser" Page

The "Internal Browser" page is shown above. This page is used to configure options for the Internal Browser Window. The items available on it are:

"Block all Pop-Up Windows" prevents web pages from opening pop-up (or pop-under) windows. Note that this setting may prevent certain pages/sites from operating correctly. (Disabled in the Demo version.)

"Do not automatically navigate to the JRTwine Software, LLC website when first created" setting prevents the Internal Browser Window from automatically navigating to the JRTwine Software, LLC website when Check Favorites starts up. (Disabled in the Demo version.)

"Disable scripting" option disables scripting in the Internal Browser Window. Tthis feature is not currently available but would be disabled in the Demo version, anyway.)

The Configuration Property Sheet's "Favorites" Page

The "Favorites" page is shown above. This page is used to select which collection of Bookmarks/Favorites you want Check Favorites to use. The items available on it are:

"Use Internet Explorer Favorites" configures Check Favorites to use your Internet Explorer (Shell) Favorites.

"Use Netscape Favorites" configures Check Favorites to use your Netscape Favorites (Bookmarks). Since these are stored in a file, the location of the Bookmark file must be specified in the following "Location" control. If that control is blank when this option is selected, Check Favorites will try to automatically determine the location of the Bookmark file for you. You can also click the button to the left of the control to manually locate the file. (This has been successfully tested on Netscape 6.2 and 7.0 [upgrade].)

"Use Opera Favorites" configures Check Favorites to use the items in Opera's HotList. Since these are stored in a file, the location of the HotList file must be specified in the following "Location" control. If that control is blank when this option is selected, Check Favorites will try to automatically determine the location of the HotList file for you. You can also click the button to the left of the control to manually locate the file. (This has been successfully tested on Opera 6.05.)

Note: if you change the collection of Favorites that Check Favorites uses (for example, changing from Use Internet Explorer Favorites to Use Netscape Favorites), Check Favorites will automatically reload the list of Favorites when you press the OK button!

The Configuration Property Sheet's "Contact/Support" Page

The "Contact/Support" page is shown above. The first three buttons allow you to send feedback to JRTwine Software, LLC about this (or any other) product. This interface provides you with an easy way to send us Comments, Bug Reports, or ask free email support questions.

The last button launches your Web Browser and send it to the JRTwine Software Support Forums.


Favorites Link Details Dialog

The Details Dialog

The Details Interface is shown whenever you click the "View Details" ( View Details toolbar button)button on the Toolbar, or select "View Details" from the context menu. It shows more detailed information about the selected Favorite. This dialog can also be sized horizontally. Note that all of the text controls are really disabled edit controls, which allows you to select and copy text from them.

This interface shows you the Name, Path, URL, Memo, and the Favorite's "Current Status", which is one of:

Not yet checked | This Favorite has not yet been checked by Check Favorites
Currently being checked | This Favorite is currently being checked by Check Favorites
Link is valid | The Favorite has been checked by Check Favorites, and is valid
The Link itself is broken, but the site is valid | The Favorite has been checked by Check Favorites, and while the actual document pointed to by the link was not available, the site that the document was on is still valid.
The Link (and maybe its site) is broken | The Favorite has been checked by Check Favorites, and appears to be completely broken.*
Link could not be verified | An unexpected error or HTTP status code was encountered, or authorization is required, so Check Favorites could not determine if the link is broken or not. The "Memo" field will contain additional error information. Also, check Error Codes for descriptions of some more commonly encountered errors.
Link has been skipped | Check Favorites has not checked this Favorite link. See the "Memo" field for more information about why it was skipped.
Link Has Been Moved/Redirected | The Favorite has been checked by Check Favorites, and has found that document pointed to by the link has been moved or a HTTP redirect was encountered.

* Note that transient/temporary errors/failures could cause Check Favorites to incorrectly determine that a Favorite link is broken. For example, if your machine has lost it's Internet connectivity, Check Favorites would mark pretty much all of your Favorites as broken. If a site is temporarily down for some reason, Check Favorites would mark all Favorite links that referred to that site as broken.

(Click Here for more detailed information on the Link Status Values)

The icon shown in the "Current Status" control depends on both the type of Favorite link, and the actual current status of the Favorite.

After a Favorite has been checked, the results (status) of the check will be shown in the "Current Status:" control. At this point, you can change the status to override Check Favorites' findings. For example, if you know that a site is experiencing network/connectivity problems, you can override the status from "The Link (and maybe its site) is broken" to "Link is valid".

Likewise, if you want to force a certain Favorite to be deleted, you can override the status to "The Link (and maybe its site) is broken", and it will be included in the deletion list when you use the "Delete All Broken Links" feature.

When using Check Favorites with Favorites/Bookmarks from Netscape or Opera, the "Path" control will show the path to the actual file containing the Favorites/Bookmarks.


Link Status Values and Error Codes

Link Status Values

Here is a detailed list of the possible Link Status Values that Check Favorites uses, and common reasons why they are returned:

  • Not yet checked

This value indicates that the link has not yet been checked by Check Favorites

  • [Edited Link] Not yet checked

This value indicates that this Edited Link (see File Mode for more information) has not yet been checked by Check Favorites

  • Currently being checked

This value indicates that the link is currently being checked by Check Favorites

  • Link is valid

This value indicates that the link has been tested, and has been found to be valid

  • The Link itself is broken, but the site is valid

This value indicates that Check Favorites was able to successfully contact the site that the link references, but could not gain access to the actual target of the link. Several situations can cause this; the most common is a HTTP 404 (File Not Found) status code.

Other causes include links that require authorization or other (login) credentials, and HTTP 403 (Forbidden) and HTTP 401 (Access Denied) status codes.

Because Check Favorites was able to successfully contact the site, this is considered a "partially" broken link.

  • The Link (and maybe its site) is broken

This value indicates that the link has been checked by Check Favorites, and has been found to be broken. Note that there are many transient problems that can occur involving the Internet and/or you connection to the Internet that can cause Check Favorites to indicate that links are broken at that time.

  • Link could not be verified -or-
    Link could not be verified (Authorization Required)

This value indicates that some kind of situation prevented Check Favorites from being able to successfully test the link. Usually, this is the result of trying to test a link that requires authorization (i.e. login credentials like a username and password).

However, this Link Status Value will be also used if a server returns an unexpected HTTP status code, an unexpected FTP status message, or some other internal error occurred while trying to contact the site. The "Memo:" field of the Details Dialog will provide more information on what happened.

  • Link has been skipped

This value is set when the link has been skipped by Check Favorites. Links that are actually shortcuts to files on your local machine or the network are not checked by Check Favorites.

  • Link Has Been Moved/Redirected

This value indicates that an HTTP status code was received that indicated that the link's target has been moved to a new location. If Check Favorites was able to obtain the new location, it will be shown in the Details Dialog.


Excluding Favorites From Checking

Check Favorites supports the ability to specify that certain Favorites should be excluded from automatic checking. For example, if you have a group of favorites whose links point to a destination that is not currently reachable, you can exclude that group of Favorites from automatic checking, thus saving time when the check runs. Or if you need to re-test only a specific set of Favorites, you can exclude the others.

You specify which Favorites are to be excluded by right-clicking on them, and selecting the Exclude From Automatic Checking command, or by selecting a Favorite and selecting the command from the Edit menu. When a Favorite is to be excluded, its text will be drawn in the color used for disabled items:

Example of Excluded Items (shown with grey text)

As shown in the above image, several Favorites are excluded. The "excluded flag" is a toggle: if you use the Exclude From Automatic Checking command on a Favorite that is already excluded, it will no longer be excluded.

You can exclude the entire contents of a Folder. Just use the Exclude From Automatic Checking command on a Folder. When you do this, the name of the folder will be drawn in the disabled color as well (see above).

Note that making a "Folder-wide" change effects all items within the Folder. So if a folder is set to be excluded, and you use the Exclude From Automatic Checking command on the folder, all items within the Folder will no longer be excluded, regardless of what their previous setting was.


Shell Properties Property Sheet

The Shell Properties Property Sheet (example)

The Shell Properties property sheet is shown above. This property sheet is not created nor managed by Check Favorites. It is generated upon request by the Shell that is active on your machine (usually Windows® Explorer).

The property sheet may look different on your machine depending on what features/applications/services are installed.

If you make any changes to a Favorite item using this property sheet, you need to have Check Favorites re-scan your list of Favorites in order for those changes to be reflected within Check Favorites' interface.


Delete All Broken Links

Delete All Broken Links Dialog

The Delete All Broken Favorites Dialog

The Delete All Broken Favorites dialog is shown above. This dialog is displayed when you select the Delete all Broken Favorites command.

This dialog is designed to give you a "last look" at all of the Favorites that Check Favorites found to be broken (and Partially Valid, if the checkbox is checked; clicking this checkbox also refreshes the list).

Also, you may remove specific items from the list by selecting them and pressing <DELETE>.

Note that the OK button will be disabled if there are no items in the list.

(Note that transient/temporary errors/failures could cause Check Favorites to incorrectly conclude that a Favorite's link is broken. For example, if your machine has lost it's Internet connectivity, Check Favorites would mark pretty much all of your Favorites as broken. If a site is temporarily down for some reason, Check Favorites would mark all Favorite links that referred to that site as broken.)

After you click OK, the following dialog will be shown, the purpose of which is to remind you of what you are about to do:

The "Last Chance" Dialog

Clicking Yes will cause Check Favorites to continue with the deletion of the Favorites. Clicking No will cancel.

Once you click the YES button, all of the Favorites listed in the dialog will be deleted from your Favorites list! This dialog is your last chance to cancel!


Delete Failures Dialog

The Delete Failures Dialog

The Delete Failures dialog is shown above. This dialog may be is shown after you use the "Delete all Broken Links" functionality of Check Favorites.

While Check Favorites is trying to delete all of the specified links, it will not stop if it encounters an error. Instead, it will record details of the error, and continue trying to delete any remaining links.

Once Check Favorites has completed trying to delete all of the specified links, it checks to see if it encountered any errors. If it did, the above dialog will be shown so that you (the user) can be aware of the problem.

(In the above example, the system folder that contains the actual Favorites was renamed so that no deletions actually took place.)


Summary Report

The Summary Dialog

The Summary Dialog

Check Favorites' Summary dialog is shown above.

It shows a summary of Check Favorites' findings: how many links were skipped, broken, partially broken/valid, moved/redirected, and valid.

It also shows the number of links that could not be tested correctly. This is usually due to an unexpected error or HTTP status code that was encountered while trying to test the link.


Detailed Report

The Detailed Report Dialog

The Detailed Report Dialog

Check Favorites' Detailed Report dialog is shown above. It is showing the results of a check on one of pages of the JRTwine Software Web Site. This dialog is resizable.

It shows a detailed list of Check Favorites' findings, including the name of the link, as well as its URL. Colors are used to identify valid links, broken links, links that cannot be checked, etc.

This Report can be printed, copied to the clipboard (in its entirety) or exported to a CSV file for later use by an external application, like Excel®. When exported, strings are encased in double-quotes, contained double-quotes are removed, and the columns exported are: Name, URL, Status and any error text encountered while checking the link.


Exporting Your Favorites

Check Favorites supports an "Export" feature that lets you export your list of Favorites to a file in a variety of formats. This can be used to share your Favorites with someone else, import them into another application/system, or just for backup purposes. For example, you can have Check Favorites load favorites from Opera, and export then in Netscape format.

Since the supported Export file formats are plain text formats, they can be later edited to remove certain links, or add additional information.

Check Favorites employs the use of a Wizard to help you export your Favorites. To get started with the Wizard, select File-Export Favorites from the main menu. You will then be presented with the following interface:

Export Favorites Wizard Start Page

This is the first page of the Wizard. It does nothing more than provide an introduction to the purpose of the Wizard. Pressing Next > will bring you to the next page:

Export Favorites Wizard Select Format Page

This page allows you to select the format that your Favorites will be exported to. The following formats are supported:

Plain Text | Each Favorite will be exported to a single line in a text file. The line's format will be: the Name of the Favorite (in quotes), followed by it's URL.
Plain Text, Names Only | Each Favorite's Name will be exported to a single line in a text file. The Favorite's URL will not be included.
Plain Text, URLs Only | Each Favorite's URL will be exported to a single line in a text file. The Favorite's Name will not be included.
CSV | Your list of Favorites will be exported into a CSV (Comma Separated Value) file. This file format is suitable for import into a spreadsheet or database application.
CSV (With Folders) | Your list of Favorites, including Folder information, will be exported into a CSV (Comma Separated Value) file. This file format is suitable for import into a spreadsheet or database application.
HTML | Your list of Favorites will be exported into a HTML file. This file is suitable for display in a web browser, where your Favorites will be shown as navigable links.
HTML (With Folders) | Your list of Favorites, including Folder information, will be exported into a HTML file. This file is suitable for display in a web browser, where your Favorites will be shown as navigable links.
Standard Bookmark File | Your list of Favorites will be exported in "standard bookmark format", which will allow them to be imported by most other browsers.

Here is an example of the "Plain Text" format:

"Bloomberg" http://www.microsoft.com/isapi/redir.dll?prd=Windows&sbp=MediaPlayer&ar=Favorite&sba=Bloomberg&pver=6.2
"Capital Records" http://www.microsoft.com/isapi/redir.dll?prd=Windows&sbp=MediaPlayer&ar=Favorite&sba=Capitol&pver=6.2
"ESPN Sports" http://www.microsoft.com/isapi/redir.dll?prd=Windows&sbp=MediaPlayer&ar=Favorite&sba=ESPN&pver=6.2

And here is an example of the "CSV (With Folders)" format (all CSV formats include a Header Row at the top of the file):

FOLDER, NAME, URL
Media,Bloomberg,http://www.microsoft.com/isapi/redir.dll?prd=Windows&sbp=MediaPlayer&ar=Favorite&sba=Bloomberg&pver=6.2
Media,Capital Records,http://www.microsoft.com/isapi/redir.dll?prd=Windows&sbp=MediaPlayer&ar=Favorite&sba=Capitol&pver=6.2
Media,ESPN Sports,http://www.microsoft.com/isapi/redir.dll?prd=Windows&sbp=MediaPlayer&ar=Favorite&sba=ESPN&pver=6.2

After selecting an export format, you will press Next >, and proceed to the following page:

Select Export Target File Page

This page allows you to select the file that your Favorites will be exported to. You can click the Browse button ( [image]) to open a standard file dialog which can assist you in locating the target file. After the target file has been selected, you will press Next > to proceed to the final page of the Wizard:

Wizard Finish Page

This is the last page of the Wizard. It confirms all of your selections, and gives you one last chance to cancel before performing the Export. Press Finish > to Export your Favorites.


Checking Links that are on a Web Page

Checking Links on a Web Page

For more information on launching Check Favorites and having it directly load links from a Web Page, or in a file, go do the File Mode and the Protocol Handler page.

Check Favorites can also check links from a Web Page or file by selecting Load Links From Web Page... from the File menu, and then entering the Web Page or File you want to use.

The interface raised by the Load Links From Web Page... command

A feature called "Drag-To-Check" allows you do drag links from the embedded browser (on the right of the main interface) onto the link tree (on the left of the main interface) , which will cause Check Favorites to load all links from the target file that the dragged link points to.

This feature allows you to quickly navigate an entire web site and check all of its links because you can drag links back and forth between the browser and the link tree.

Tip: In the Please Enter A URL dialog shown above, you can press <CTRL+ENTER> (or hold down <CTRL> and press [OK]) to wrap the entered information with a leading HTTP://www. and a trailing .com. for example, if you enter "codeproject" and then press <CTRL+ENTER>, Check Favorites will try to load links from http://www.codeproject.com.


File Mode and the Protocol Handler

File Mode

Check Favorites supports two modes of operation: Normal Mode, and File Mode. Normal Mode is, of course, the normal operating mode for Check Favorites: it loads all of your Favorites, and allows you to manipulate and check them.

File Mode causes Check Favorites to load a list of URLs from a file that is local to your system, or from the target of a URL. Check Favorites will scan the specified file (or URL target), extract all of the HTTP-based or FTP-based URLs* that it finds in the file, and will list them in the Main Interface. (Check Favorites will only extract links that are part of an Anchor tag: "<a href=TheURL>...</a>".)

After the list of URLs has been loaded, they can be checked just like a regular list of Favorites.

A good use for this feature is if you have a "Links" page on your website. Check Favorites can check all of the URLs on the page, and alert you to ones that may be broken outdated. It can also be used to "rip" all of the links from a page, and export them to a separate file.

To use Check Favorites in File Mode, all you have to do is pass the target filepath or URL on the command line to Check Favorites. For example:

CheckFavorites C:\MyFile.txt
(if the filepath contains spaces, you will need to wrap it in double-quotes.)

The "checkfavs" Protocol Handler

When Check Favorites is installed, a Protocol Handler is added to your system that is supported by Internet Explorer (versions 5.0 or greater). All this Protocol Handler does is allow you to use Check Favorites in File Mode from within Internet Explorer, the Windows Shell (Explorer), the Run window, or a command prompt.

For example, suppose you wanted to load all of the URLs from a file on your local machine (located at: C:\MyFile.txt). To use Check Favorites to check the URLs in that file, you could type the following into Internet Explorer's "Address" window:

checkfavs:C:\MyFile.txt

If the file you wanted to load all of the URLs from a file that is on a web site (located at http://www.somewebsitename.com/myfile.htm), you would type that address into the "Address" window, ash shown below:

Example of using the Protocol Handler from within Internet Explorer

If you are viewing a page in Internet Explorer, and wanted to list all of the links used in the page, you could simply put "checkfavs:" right in front of the URL of the page you are looking at.

You can also use Check Favorites in this fashion from the "Address:" window in your Task Bar:

Example of using the Protocol Handler from the shell's "Address" control

-The Run window:

Example of using the Protocol Handler from the Run window

-And from a command prompt by placing "start" in front of the command:

Example of using the Protocol Handler from a command prompt

Note that if you are using Check Favorites to load a list of URLs from a file on the web, it may take some time for Check Favorites to download and process the file. During this time, Check Favorites may appear to be "just sitting there". Rest assured, it is in the process of downloading and scanning the specified file.

Edited Links

If Check Favorites encounters a link that does not start with a protocol, like "http://", it is considered to be a relative link, and if the link comes from a page on the Internet, the link will be converted to a complete URL before being shown in Check Favorites. Links that have been modified will show an pencil on top of the normal link icon to indicate that they have been edited by Check Favorites.

If you need the original (unconverted) link, it can be found in the "Name" field of the Favorites Link Details dialog.

* Note that Check Favorites will extract any URLs that start with http://, https://, or ftp://.


Registration Key Dialog

The Registration Key dialog

The Registration Key dialog is shown above. This dialog is used to register your copy of Check Favorites.

When you purchase a license for Check Favorites, your Name and Company information (if any) will be taken. This information is used to generate a unique Registration Key that can then be used to register your copy of Check Favorites, and unlock the full functionality of the product.

Be sure to enter the registration information exactly as it is shown on your Registration materials.

Be very careful when entering the Registration Key: the number "0", and the capital letter "O" may be difficult to tell apart. The same thing applies for the number "1" and the capital letter "I".


Registration Information Dialog

The Registration Information dialog (shown unregistered)

The Registration Information Dialog is shown above. This dialog shows the Registration Information for your copy of Check Favorites.

If you have purchased a license and registered your copy of Check Favorites, your registration information will be shown in the dialog.

If you have not yet registered your copy, the dialog will show "<Unregistered User>" for the Name and Company, and "<None>" for the Key (as shown above).

Pressing the Enter Registration Key button brings you to the Registration Key dialog, where you can register your copy of Check Favorites.


Icon Legend

The Icon Legend

The Icon Legend Pop-Up Window

Check Favorites' Icon Legend pop-up window is shown above. It shows a list of the icons that you may see in Check Favorites that are used to represent various states of a link. This window will float on top of the Check Favorites window, and it can be resized, moved freely, and shown or hidden as desired.


Shutdown Cleanup Dialog

The Shutdown Cleanup Dialog

The Shutdown Cleanup dialog shown above is displayed when you shutdown Check Favorites while it is still in the midst of performing operations that involve multiple threads.

This dialog is shown while Check Favorites signals all running threads to stop, and then waits for the threads to acknowledge and stop running.

Note that if a thread is waiting for a response from a web site (e.g. it is checking a Favorite), Check Favorites will not terminate the thread: instead, Check Favorites will wait for the thread to timeout or receive a response from the web site. Occasionally, this can take as long as the Timeout value specified in the Configuration Interface. Terminating the thread, instead of waiting for it to end normally, may cause problems with the Windows®' Internet subsystem, and result in your system becoming unstable.


Tooltips

An example tooltip

Tooltips are now available on the link tree. These tooltips show much of the same information available in the Details dialog, but without having to raise and dismiss that dialog each time. Simply hover the mouse over a link, and the tooltip will appear.

Different icons will be shown in the upper left side of the tooltip depending on the status of the link.


About Check Favorites

The About Box

Check Favorites™ was written by James R. Twine of JRTwine Software, LLC.

You can check for other products or updated versions of Check Favorites by clicking the "Look For Updates" button, or by clicking here.

Customer support issues can be handled at the JRTwine Software Forums, or you can send email to custserv@jrtwine.com. Also, please check the FAQ and the Knowledge Base on the Forums page, as your question may have already been asked and answered. Lastly, check the Release Notes, to make sure it is not a known problem.

You may want to visit the Forums regularly to look for announcements on the availability of newer versions of Check Favorites or other products from JRTwine Software, LLC, or to check the Knowledge Base for new articles.

The Progress Control that is embedded into the Status Bar is from code that was written by Chris Maunder, creator of The Code Project. More information on Chris Maunder can be found Here.

Legal Information


Release Notes

The following information discusses known issues and/or shortcomings in this release of Check Favorites.

  1. Help system is not yet compete. This includes the linking of interfaces to specific help pages, and the help documentation itself.

  2. Context-Sensitive Help is not yet complete. This means that "What's This" help may not function correctly at all times.

  3. Overriding a link's status using the Favorite Link Details dialog or using the Check Selected Favorite command to check a link will not change the Memo information for a link, or cause the Delete All Broken Links command to change state.

  4. When specifying a URL to open or using "Drag-To-Check" with URLs that result in a redirect, the redirect will automatically be taken.


FAQ

If the error message reads "Access Denied", the problem is likely a permissions problem, or the file that contains the Favorite you are trying to delete may be set as Read-Only.

If the error message reads "The process cannot access the file because it is being used by another process", the problem is likely due to another application accessing the file or folder containing the favorite that you are trying to delete. For example, you may be using the Organize Favorites functionality of Internet Explorer.

Check Favorites will disable the File-Exit command, as well as prevent the "X-button" from closing the application, while it is Scanning or Checking your Favorites. If an indicator on the status bar shows a "# Thread(s) Active" message, that is the reason why.

When using File Mode, Check Favorites may take some time to load and process the specified file or URL. This usually only takes seconds, but can take minutes if the file is large, or the specified URL is downloading slowly.

Some of the libraries on your system are not up-to-date. Go to www.windowsupdate.com or to windowsupdate.microsoft.com, and make sure that your system has all of the current Service Packs and fixes applied. Also, make sure you have Internet Explorer 5.0 or greater installed.

If this problem persists, contact Customer Service, or post a message in the Forums.

When this happens, just run the check again. This issue is documented in the Release Notes. (This issue should no longer occur in versions 1.4 or greater.)

This is most likely due to either (1) your system not being able to handle the load of so many threads running within Check Favorites at once, or (2) your system may be busy running other applications. Reducing the number of threads used should help in either case.

The state of the commands (menu and toolbar items) is determined by which pane is active. If you have the internal browser pane active, all commands that pertain to the link tree pane will become inactive. Use <F6> to switch between panes or click in the pane you want to activate.

That command is disabled while a check is in progress. Also, it is disabled in the unregistered version of Check Favorites.

Because Netscape and Opera use a single flat-file for storage of Favorite/Bookmark information, and there is no guaranteed way to make sure that either one has an instance running before making changes to the file.

If Netscape/Opera were running, changes may be lost, or worse yet, file corruption may result.

Frequently Asked Questions

This is the Frequently Asked Questions list (also called a FAQ) for Check Favorites. Click on a question to see it's answer.

When I try to delete a Favorite, why do I get an error message like "Access Denied" or "The process cannot access the file because it is being used by another process"?

Why does Check Favorites ignore an attempt to close it by clicking on the "[X]" at the corner of the window?

When using File Mode, why does Check Favorites seem to "just sit there" doing nothing?

Why do I get an error about a "missing ordinal" or a "missing export" when I try to run Check Favorites?

When I check all of my Favorites, why does one of them occasionally seem to get skipped (the icon does not change)?

When I choose a high number of threads to check with, Check Favorites seems to be a little sluggish. Why is this happening, and what can I do to fix it?

Why do many of the commands suddenly become disabled (usually after I drag a link from the Internal Browser)?

Why does the Check Selected Favorite command seem to be disabled occasionally?

Why am I unable to Delete or Rename Favorites when using Favorites/Bookmarks from Netscape or Opera?

If your question is not shown here, or the answers given were unable to help, please contact Customer Support via the at methods shown on this page, and include information about which version of Check Favorites you are using. Also include information such as: any other running applications, Internet Explorer version, and Operating System version.


This error occurs when the target page has content that comes from both secure and non-secure servers.

This error occurs when the target page has content that comes from both secure and non-secure servers.

This error occurs when the target site has an invalid security certificate. This is the same error that causes Internet Explorer to show a "Security Alert" dialog that lists problems with a site's security certificate. Since this kind of error requires user intervention (to allow or prevent the site from being accessed), Check Favorites refuses to check the site.

This error occurs when the target site has an invalid security certificate. This is the same error that causes Internet Explorer to show a "Security Alert" dialog that lists problems with a site's security certificate. Since this kind of error requires user intervention (to allow or prevent the site from being accessed), Check Favorites refuses to check the site.

Error Codes

While Check Favorites is checking your Favorite Links, there are a variety of things that can go wrong. This section lists some of the more common Error Codes that can be found in the Favorites Link Details dialog.

Error 12041 (the content is not entirely secure. Some of the content being viewed may have come from unsecured servers):

Error 12045 (the certificate authority is invalid or incorrect):

If you are encountering an error code that is not listed here, please go to the JRTwine Software Support Forums (http://www.jrtwine.com/forum), and check the Knowledge Base to see if the code is documented there. If not, please post a message in the Forum asking for assistance.


License Agreement

This is a copy (current at the time this documentation was first created) of the End User License Agreement for Check Favorites. Please go to the JRTwine Software, LLC web site to obtain an updated version of the agreement, if any.

END USER LICENSE AGREEMENT (EULA) FOR CHECK FAVORITES

CAREFULLY READ THE FOLLOWING LICENSE AGREEMENT. BY ACTIVATING THE "I accept the license agreement" BUTTON AND THEN ACTIVATING THE "Next >" BUTTON, OR OTHERWISE USING ANY PART OF THE SOFTWARE, DOCUMENTATION, OR ASSOCIATED MEDIA, YOU ARE CONSENTING TO BE BOUND BY AND ARE BECOMING A PARTY TO THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE "Cancel" BUTTON, AND, IF APPLICABLE, RETURN THIS PRODUCT TO THE PLACE OF PURCHASE FOR A FULL REFUND.

LICENSE GRANT

The package contains software ("Software") and related explanatory written materials ("Documentation"). "Software" includes any upgrades, modified versions, updates, additions and copies of the Software. "You" means the person or company who is being licensed to use the Software or Documentation. "We" and "us" means JRTwine Software, LLC.

This Software is licensed, not sold. We hereby grant you a nonexclusive license to use one copy of the Software on any single computer, provided the Software is in use on only one computer at any time. The Software is "in use" on a computer when it is loaded into temporary memory (RAM) or installed into the permanent memory of a computer-for example, a hard disk, CD-ROM or other storage device.

TITLE

We remain the owner of all right, title and interest in the Software and Documentation.

COPYRIGHT, TRADEMARK, AND "MORAL RIGHT"

The Software and documentation is copyrighted by JRTwine Software, LLC. JRTwine Software's copyrights include, but are not necessarily limited to ©1997-2002 JRTwine Software, LLC. All Rights Reserved. Making unauthorized copies is prohibited by law. No part of the software or documentation may be reproduced, transmitted, transcribed, stored in a retrieval system or translated into any human or computer language without prior written permission of JRTwine Software, LLC. JRTwine Software, LLC asserts its "Moral Right" to be identified as the author of this work, in all jurisdictions that recognize the "Moral Right."

ARCHIVAL OR BACKUP COPIES

You may either:

  • make one copy of the Software solely for backup or archival purposes, or

  • transfer the Software to a single hard disk provided you keep the original solely for backup or archival purposes.

THINGS YOU MAY NOT DO

The Software and Documentation are protected by United States copyright laws and international treaties. You must treat the Software and Documentation like any other copyrighted material -- for example a book. You may not:

  • copy the Documentation,

  • copy the Software except to make archival or backup copies as provided above,

  • modify or adapt the Software or merge it into another program,

  • reverse engineer, disassemble, decompile or make any attempt to discover the source code of the Software,

  • place the Software onto a server so that it is accessible via a pubic network such as the Internet, or

  • sublicense, rent, lease or lend any portion of the Software or Documentation.

TRANSFERS

You may transfer all your rights to use the Software and Documentation to another person or legal entity provided you transfer this Agreement, the Software and Documentation, including all copies, update and prior versions to such person or entity and that you retain no copies, including copies stored on computer.

LIMITED WARRANTY

We warrant that for a period of ninety (90) days after delivery of this copy of the Software to you:

  • that the physical media on which this copy of the Software is distributed will be free from defects in materials and workmanship under normal use, and

  • that the Software will perform in substantial accordance with the accompanying documentation.

To the extent permitted by applicable law, THE FOREGOING LIMITED WARRANTY IS IN LIEU OF ALL OTHER WARRANTIES OR CONDITIONS, EXPRESS OR IMPLIED, AND WE DISCLAIM ANY AND ALL IMPLIED WARRANTIES OR CONDITIONS, INCLUDING ANY IMPLIED WARRANTY OF TITLE, NONINFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, regardless of whether we know or had reason to know of your particular needs. No employee, agent, dealer or distributor of ours is authorized to modify this limited warranty, nor to make any additional warranties.

SOME STATES DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION WILL APPLY TO THE FULL EXTENT POSSIBLE UNDER APPLICABLE LAW.

UNLESS OTHERWISE STATED ABOVE, THE SOFTWARE AND THE DOCUMENTATION AVAILABLE WITH THIS PUBLICATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS PARTICULAR PURPOSE. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THIS SOFTWARE REMAINS WITH YOU. IN NO EVENT WILL JRTWINE SOFTWARE, LLC OR ANY OF ITS SUPPLIERS OR AFFILIATES BE LIABLE FOR ANY LOST PROFITS, LOST SAVINGS, DIRECT, INCIDENTAL OR INDIRECT DAMAGES, OR OTHER ECONOMIC OR CONSEQUENTIAL DAMAGES, EVEN IF THEY HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. JRTWINE SOFTWARE, LLC RESERVES THE RIGHT TO MODIFY THIS DOCUMENT AT ANY TIME WITHOUT OBLIGATION TO NOTIFY ANYONE. IN NO EVENT SHALL JRTWINE SOFTWARE'S OR ITS SUPPLIERS' OR AFFILIATES' LIABILITY UNDER THIS AGREEMENT EXCEED THE SUM OF ANY AMOUNTS PAID HEREUNDER BY YOU TO JRTWINE SOFTWARE, LLC OR THE SUPPLIER.

LIMITED REMEDY

Our entire liability and your exclusive remedy shall be:

  • the replacement of any media not meeting our Limited Warranty which is returned to us or to an authorized Dealer or Distributor with a copy of your receipt, or

  • If we or an authorized Dealer or Distributor are unable to deliver replacement media that is free of defects in materials or workmanship, you may terminate this Agreement by returning the Software and Documentation and your money will be refunded.

IN NO EVENT WILL WE BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS, OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING FROM THE USE OR THE INABILITY TO USE THE SOFTWARE (EVEN IF WE OR AN AUTHORIZED DEALER OR DISTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF THESE DAMAGES), OR FOR ANY CLAIM BY ANY OTHER PARTY.

SOME STATES DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION WILL APPLY TO THE FULL EXTENT POSSIBLE UNDER APPLICABLE LAW.

TERM AND TERMINATION

This license agreement takes effect upon your use of the software and remains effective until terminated. You may terminate it at any time by destroying all copies of the Software and Documentation in your possession. It will also automatically terminate if you fail to comply with any term or condition of this license agreement. You agree on termination of this license to either return to us or destroy all copies of the Software and Documentation in your possession.

CONFIDENTIALITY

The Software contains trade secrets and proprietary know-how that belong to us and it is being made available to you in strict confidence. ANY USE OR DISCLOSURE OF THE SOFTWARE, OR OF ITS ALGORITHMS, PROTOCOLS OR INTERFACES, OTHER THAN IN STRICT ACCORDANCE WITH THIS LICENSE AGREEMENT, MAY BE ACTIONABLE AS A VIOLATION OF OUR TRADE SECRET RIGHTS.

GENERAL PROVISIONS

  1. This written license agreement is the exclusive agreement between you and us concerning the Software and Documentation and supersedes any and all prior oral or written agreements, negotiations or other dealings between us concerning the Software.

  2. This license agreement may be modified only by a writing signed by you and us.

  3. This EULA shall be governed by and construed under the substantive laws applicable to the state of New Hampshire, in the United States of America. If any provision of this EULA is held to be unenforceable, the remaining provisions shall remain in full force and effect.

  4. You agree that this EULA is entered into at Goffstown, New Hampshire. You further agree that any legal or equitable dispute brought or arising under this Agreement shall be brought in the State and Federal courts for Goffstown, New Hampshire.

  5. In the event of litigation between you and us concerning the Software or Documentation, the prevailing party in the litigation will be entitled to recover attorney fees and expenses from the other party.

  6. You agree that the Software will not be shipped, transferred or exported into any country or used in any manner prohibited by the United States Export Administration Act or any other export laws, restrictions or regulations.


Legal Information

JRTwine Software and JRTS are copyright JRTwine Software, LLC.

At no time will JRTwine Software, LLC be responsible for the content of this software or documentation, technical or otherwise, or for any damages that may arise from the use or misuse of this content. JRTwine Software claims no responsibility for the accuracy, content, or availability of information accessed through the software.

All content is copyrighted as a collective work under the U.S. copyright laws, and JRTwine Software, LLC (or James R. Twine) owns a copyright in the selection, coordination, arrangement and enhancement of such content.

Information contained in this document and available via the JRTwine Software, LLC web site is subject to change without notice. The software described in this document is furnished under a license agreement or nondisclosure agreement. The software may be used or copied only in accordance with the terms of those agreements. No part of this documentation may be reproduced, transmitted in any form or any means electronic or mechanical, including photocopying and recording, or stored in a retrieval system, for any purpose other than the purchaser’s personal use without the written permission of JRTwine Software, LLC.

Microsoft®, the Microsoft Internet Explorer® logo, Windows®, Windows NT, Microsoft Internet Explorer, the Windows logo, and/or other Microsoft products referenced herein are either registered trademarks or trademarks of Microsoft Corporation in the U.S. and/or other countries.

Netscape® and the Netscape N and Ship's Wheel logos are registered trademarks of Netscape Communications Corporation in the U.S. and other countries.

[Opera trademark/copyright acknowledgement was not available at the time this document was created.]

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

Any example companies, organizations, products, domain names, email addresses, logos, people and events depicted herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, or event is intended or should be inferred.

© 2000-2002 JRTwine Software, LLC. All Rights Reserved.


CFCheckingInd

"Checking" Indicator

This indicator area will show the word "Checking" followed by the number of (checking) threads that are currently active when Check Favorites is checking all of your Favorites.


CFFavInUseInd

"Favorites-In-Use" Indicator

This indicator area will show "IE" whenever you are viewing your Internet Explorer Favorites, "NS" when you are viewing your Netscape bookmarks, and "O" when you are viewing items in your Opera HotList.


CFFavsList

Favorites List

This is the list of all of your Favorites.


CFIntBrowser

Internal Browser Window

This is an internal browser instance (Internet Explorer) that can be used to view the site that a Favorite points to.


CFItemsInd

"Items" Indicator

This indicator area will show the total number of items that have been loaded into the Favorites List. (This includes all items in your Favorites/Bookmarks/HotList, even those that are not checked by Check Favorites!)


CFMenuBar

Menu Bar

The Menu Bar gives you access to all of Check Favorites' functionality.


CFProgressInd

Browser Progress Indicator

This indicator shows the progress of any downloads that the Internal Browser may be making.


CFScanningInd

"Scanning" Indicator

This indicator area will show the word "Scanning" while Check Favorites is scanning (loading) your list of Favorites.


CFToolBar

ToolBar

The ToolBar gives you access to most of Check Favorites' functionality.


.topic 3
This indicator shows the number of items displayed in the Favorites list above

.topic 1
This indicator is active when Check Favorites is checking your Favorites

.topic 2
This indicator is active when Check Favorites is scanning (reading in) your list of Favorites


DRClose

Close Button

This button closes the Detailed Report dialog.


DRCopy

Copy Button

This button copies the complete Detailed Report to the clipboard. The report is copied in both plain test (ASCII) and RTF (formatted) formats.


DRCSV

Export Button

This button exports the Detailed Report to a CSV file.


DRPrint

Print Button

This button prints the Detailed Report. You must have a RTF-capable application installed in order to print successfully.